/**
 * FormValidation (https://formvalidation.io)
 * The best validation library for JavaScript
 * (c) 2013 - 2023 Nguyen Huu Phuoc <me@phuoc.ng>
 */

import { type ValidateFunctionInterface, type ValidateOptions, type ValidateResult } from '@form-validation/core';

export interface ColorOptions extends ValidateOptions {
    // The array of valid color types
    // For example: 'hex', 'hex rgb', ['hex', 'rgb']
    type: string | string[];
}

export function color(): ValidateFunctionInterface<ColorOptions, ValidateResult>;
